using Shared.Enums;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Shared.DTOs.Warehouse
{
    public enum TypeCirculation
    {
        [Display(Name = "رسید")]
        Receipt=10,

        [Display(Name = "حواله")] 
        Remittance=20
    }
    public class CirculationDto
    {
        public int ID { get; set; }
        public int CODID { get; set; }
        [Display(Name = "کالا")]
        public string? CODTitle { get; set; }
        [Display(Name = "تعداد")]
        public decimal Count { get; set; }
        [Display(Name = "تاریخ")]
        public string Date { get; set; }
        [Display(Name = "اجازه فروش")]
        public bool? ForSale { get; set; }
        [Display(Name = "نوع")]
        public string ModelTypeTitle { get; set; }
        public int ModelTypeID { get; set; }
        [Display(Name = "توضیحات")]
        public string info { get; set; }
        public TypeCirculation Type { get; set; }
        [Display(Name = "نوع سند")]
        public string msgType { get { return Type.GetEnumDisplayName(); } }
        public int? invoiceID { get; set; }
        public DateTime CreateDt { get; set; }
    }
}
